
Redmine - Patch #21436

Prevent admins from sending themselves their own password

2015-12-06 17:27 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 3.2.1   

Description

As an admin, when setting one's own password via Users#edit instead of via the "proper form" at My#password, there should not be

an option to send the password in plaintext to oneself.

IMO, the "send account information" option is made for cases where a new login/password need to be transmitted to another user

after they have been set by the admin. When setting one's own password (even as admin), there should be no reason (or possibility)

to send it via email.

The attached patch solves this issue.

Related issues:

Related to Redmine - Defect #13197: Don't send password in plain text via ema... Closed

Associated revisions

Revision 14966 - 2015-12-06 21:46 - Jean-Philippe Lang

Prevent admins from sending themselves their own password (#21436).

Patch by Jan Schulz-Hofen.

Revision 15021 - 2016-01-09 10:12 - Jean-Philippe Lang

Merged r14966 (#21436).

History

#1 - 2015-12-06 17:34 - Jan from Planio www.plan.io

- Related to Defect #13197: Don't send password in plain text via email after registration added

#2 - 2015-12-06 21:47 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.2.1

Thanks.

#3 - 2016-01-09 10:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
